[android-components](../../index.md) / [mozilla.components.service.glean.metrics](../index.md) / [TimingDistributionMetricType](index.md) / [accumulate](./accumulate.md)

# accumulate

`fun accumulate(sample: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/metrics/TimingDistributionMetricType.kt#L40)

Accumulates a sample value to the timing distribution.

### Parameters

`sample` - This is the sample to accumulate